Cancel Invoice
POST
/invoicing/
const url = 'http://pay.caspeco.net/invoicing/';const options = { method: 'POST', headers: { Location: 'http://pay.caspeco.net/v1/invoicing/', Host: 'pay.caspeco.net', Date: 'Tue, 15 Nov 2014 08:12:31 GMT', Digest: 'SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=', 'Content-Type': 'application/json' }, body: '{"Id":"138401741","InvoiceNr":1234}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url http://pay.caspeco.net/invoicing/ \ --header 'Content-Type: application/json' \ --header 'Date: Tue, 15 Nov 2014 08:12:31 GMT' \ --header 'Digest: SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=' \ --header 'Host: pay.caspeco.net' \ --header 'Location: http://pay.caspeco.net/v1/invoicing/' \ --data '{ "Id": "138401741", "InvoiceNr": 1234 }'Cancel a Invoice
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Location
Host
string
E.g. pay.caspeco.net
Example
pay.caspeco.netDate
string
E.g. Tue, 15 Nov 2014 08:12:31 GMT
Example
Tue, 15 Nov 2014 08:12:31 GMTDigest
string
E.g. SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=
Example
SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=Request Body
Section titled “Request Body”Media typeapplication/json
object
Id
string
InvoiceNr
1234
Example
{ "Id": "138401741", "InvoiceNr": 1234}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Code
string
Examples
Exampleresponse
{ "Code": "OK"}